Bug 184195 - nvidia motherboard raid install hang at findrootparts
nvidia motherboard raid install hang at findrootparts
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Depends On:
  Show dependency treegraph
Reported: 2006-03-06 23:02 EST by Jarod Wilson
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-06 16:48:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Dump created in crash (75.14 KB, text/plain)
2006-10-03 10:44 EDT, Eero Nevalainen
no flags Details

  None (edit)
Description Jarod Wilson 2006-03-06 23:02:49 EST
Description of problem:

On my nForce 4 motherboard, with the onboard pseudo-raid enabled and configured for 4 SATA drives 
in a RAID0+1, anaconda hangs at install time on the step 'findrootparts'. All dmraid modules appear to 
have been loaded, and the system isn't locked up, its just spinning its wheels. Haven't had time to 
debug further yet, and I'm in Raleigh until tomorrow, then in Westford until Saturday... When I get 
home, I'll give the latest boot.iso a try and see if I can figure out anything else of interest... Oh yeah, the 
system works fine w/o the mobo raid enabled.

Version-Release number of selected component (if applicable):


How reproducible:

Enable motherboard raid on this particular nVidia nForce 4 4X board (Gigabyte GA-K8NF-9), fire up the 
FC5-t3 installer, watch it hang indefinitely.
Comment 1 Jarod Wilson 2006-03-12 17:54:09 EST
Bah. Latest boot.iso (dated 3/12) doesn't even get far enough to see if the problem is fixed. I get as far as 
a black screen w/an X cursor, and the install just hangs (hangs at a similar juncture in text mode). 
However, this happens with mobo raid disabled as well, so I've got another issue to track down...

Last thing showing up on vt3 is INFO: anaconda floppy device fd0, and progress never gets any further.
Comment 2 Jarod Wilson 2006-03-13 00:16:01 EST
Per suggestion from jkeating, updated bios on mobo, but not dice, same breakage exists w/both FC5t3 
and the 3/12 boot.iso.
Comment 3 Jarod Wilson 2006-03-21 15:04:53 EST
Problem still exists with the released FC5 installer, and I've now seen it on a
second motherboard (Asus K8N-DL) with a Silicon Image controller. The common
thread between the two appears to be the attempted use of RAID10, as RAID0 and
RAID1 are actually working fine.
Comment 4 Eero Nevalainen 2006-10-03 10:44:15 EDT
Created attachment 137652 [details]
Dump created in crash
Comment 5 Eero Nevalainen 2006-10-03 10:50:21 EDT
Motherboard was NForce3 series Asus K8N. The installation was done on top of 
2XSATA drive pseudo raid. Attempted installation several times, it hung up 
seemingly an random. I only took one dump though. All in all the installer 
failed quite spectacularly and did damaged the rest of the system likewise.
Comment 6 Eero Nevalainen 2006-10-27 15:38:10 EDT
Forgot to mention. Type was RAID1.
Comment 7 Jarod Wilson 2007-02-01 22:24:28 EST
My K8N-DL was itching for a fresh install, so I figured I'd revist dmraid... The system has 4 identical sata 
drives and an onboard silicon image 3114 sata dmraid controller.

Both FC6 and F7-t1 hang after findrootparts if I have two two-drive raid1 arrays configured. If I configure 
the four drives as a RAID10 array, no hangs, but the installer insists on dealing with the drives individually. 
Dropping to a shell and poking at the array w/dmraid shows that it properly sees the arrays in both cases, 
so I haven't a clue what's going on or which component is to blame (I'd wager anaconda tho).

I'm thinking I'll just haul this thing into the office with me on Monday...
Comment 8 Jarod Wilson 2007-02-05 13:51:35 EST
Here's what dmraid sees:

# dmraid -s
*** Superset
name   : sil_ahacacadbhej
size   : 542416197632
stride : 256
type   : raid10
status : ok
subsets: 2
devs   : 4
spares : 0

Here's where my untrained eye thinks things are getting tripped up, excerpted
from /tmp/anaconda.log:

18:13:48 DEBUG   : starting all mpaths on drives ['sda', 'sdb', 'sdc', 'sdd']
18:13:48 DEBUG   : scanning for multipath on drives ['sda', 'sdb', 'sdc', 'sdd']
18:13:48 ERROR   : error scanning mpaths, disabling: (2, 'No such file or
18:13:48 ERROR   : error scanning mpaths, disabling: (2, 'No such file or
18:13:48 DEBUG   : done starting mpaths.  Drivelist: ['sda', 'sdb', 'sdc', 'sdd']
18:13:48 DEBUG   : starting dmraids
18:13:48 DEBUG   : self.driveList(): ['sda', 'sdb', 'sdc', 'sdd']

Still stumbling through anaconda's dmraid.py to see if I can figure out for
myself what's going on, but I won't object to being told... :)
Comment 9 Jarod Wilson 2007-02-06 16:48:36 EST
Closing this bug, its actually an issue with dmraid getting device sizes wrong.

Note You need to log in before you can comment on or make changes to this bug.